commit:     c89ab8f3af1c01f1605a68d536d955068fdf766c
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 16 23:15:27 2018 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun Jun 17 21:50:07 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c89ab8f3

media-libs/gst-rtsp-server: bump to 1.14.1

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 media-libs/gst-rtsp-server/Manifest                |  1 +
 .../gst-rtsp-server/gst-rtsp-server-1.14.1.ebuild  | 69 ++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/media-libs/gst-rtsp-server/Manifest 
b/media-libs/gst-rtsp-server/Manifest
index 2cb7818cca7..9c4e81a0673 100644
--- a/media-libs/gst-rtsp-server/Manifest
+++ b/media-libs/gst-rtsp-server/Manifest
@@ -1,3 +1,4 @@
 DIST gst-rtsp-0.10.8.tar.bz2 567670 BLAKE2B 
10c01001a53daa039b1c48917fcd31ac0f6437d365bac2aa6b70d0b43cb94df89ab1d2a55b8fc89f5e04efffca142f99fe0f96a1c2708acc9a062f4f3a01cd8d
 SHA512 
c5020cffa9334b7d9c6b9dbe6f32bd4580eeee1c67689269d232e954ef9d96d8b988e3fb19da89701eae26419df0bf6de5796f7780cfbedda4c07154b1c1ebd7
 DIST gst-rtsp-server-1.12.3.tar.xz 631392 BLAKE2B 
97d401cf79dd99e0b8869c454b9f4de8d9c87b2ab2382e627f60759f69b1b25a8b071ed5a7a53bd5641482390e8dfc691512bf367efce57d3fa9223e7af1cb4e
 SHA512 
cab130bf57692852827864ac9156bdf76dbcf0691f6ce6fe04a7176123b2e3ff4637edbffb3c5b14ec1db6d5c2c4f3460ed54a5ccae98aee9547af45d0bc82a7
 DIST gst-rtsp-server-1.12.4.tar.xz 632488 BLAKE2B 
86c9734128a34f3c3bb983133475ab0fd43a2ac79a76dcb1470a97165feca4a6b9b0c9dbf9177fe47a263eb2a192e57992eb767ffc938f7b0a026a252181dd2d
 SHA512 
295c27803b22ba58fcbc2e2509246d64bb6bc038d8ad8b9fe5b82c75346cccff49c61157fb05e9557e45bcf791cc7b7720aea6dd2e23e9922a345da426f291f1
+DIST gst-rtsp-server-1.14.1.tar.xz 662316 BLAKE2B 
9ff6abe945b1a4936a713e098a2013c0d954a1f7f0fdf4f9d9ec0df9ff19f5526c96a95c101ae58db97a886cb477c001eea1dc056bd4e35e4bcd4cdd16a4dfcb
 SHA512 
c559177434cd710702be623da0e9821e3867f865c94bfc425e558a467288ff77ee1ce9114389d8f8462fd979eb34a8da665d40e8e0b10a54a077f53ec954d07a

diff --git a/media-libs/gst-rtsp-server/gst-rtsp-server-1.14.1.ebuild 
b/media-libs/gst-rtsp-server/gst-rtsp-server-1.14.1.ebuild
new file mode 100644
index 00000000000..71397223a38
--- /dev/null
+++ b/media-libs/gst-rtsp-server/gst-rtsp-server-1.14.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils gstreamer
+
+DESCRIPTION="A GStreamer based RTSP server"
+HOMEPAGE="https://gstreamer.freedesktop.org/modules/gst-rtsp-server.html";
+
+LICENSE="LGPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples +introspection static-libs test"
+
+# gst-plugins-base for many used elements and API
+# gst-plugins-good for rtprtxsend and rtpbin elements, maybe more
+# gst-plugins-srtp for srtpenc and srtpdec elements
+RDEPEND="
+       >=dev-libs/glib-2.40.0:2[${MULTILIB_USEDEP}]
+       >=media-libs/gstreamer-${PV}:${SLOT}[introspection?,${MULTILIB_USEDEP}]
+       
>=media-libs/gst-plugins-base-${PV}:${SLOT}[introspection?,${MULTILIB_USEDEP}]
+       >=media-libs/gst-plugins-good-${PV}:${SLOT}[${MULTILIB_USEDEP}]
+       >=media-plugins/gst-plugins-srtp-${PV}:${SLOT}[${MULTILIB_USEDEP}]
+       introspection? ( >=dev-libs/gobject-introspection-1.31.1:= )
+"
+DEPEND="${RDEPEND}
+       >=dev-util/gtk-doc-am-1.12
+"
+
+# Due to gstreamer src_configure
+QA_CONFIGURE_OPTIONS="--enable-nls"
+
+multilib_src_configure() {
+       # debug: only adds -g to CFLAGS
+       # docbook: nothing behind that switch
+       # libcgroup is automagic and only used in examples
+       gstreamer_multilib_src_configure \
+               --disable-debug \
+               --disable-valgrind \
+               --disable-examples \
+               --disable-docbook \
+               --disable-gtk-doc \
+               $(multilib_native_use_enable introspection) \
+               $(use_enable static-libs static) \
+               $(use_enable test tests) \
+               LIBCGROUP_LIBS= \
+               LIBCGROUP_FLAGS=
+
+       # work-around gtk-doc out-of-source brokedness
+       if multilib_is_native_abi ; then
+               ln -s "${S}"/docs/libs/${d}/html docs/libs/${d}/html || die
+       fi
+}
+
+multilib_src_install() {
+       emake install DESTDIR="${D}"
+       # Handle broken upstream modifications to defaults of gtk-doc
+       emake install -C docs/libs DESTDIR="${D}"
+       prune_libtool_files
+}
+
+multilib_src_install_all() {
+       einstalldocs
+
+       if use examples ; then
+               insinto /usr/share/doc/${PF}/examples
+               doins "${S}"/examples/*.c
+       fi
+}

Reply via email to